from .control_event_handler import ControlEventHandler
from .signed_event_handler import SignedEventHandler

class SignedControlEventHandler(ControlEventHandler, SignedEventHandler):
    def _validate_message(self, message):
        return (
            ControlEventHandler._validate_message(self, message) and
            SignedEventHandler._validate_message(self, message)
        )
